# Magic

The following morning, the residents of the Tower sat down for breakfast in the second floor kitchen. The four were joined by a blonde girl clad all in green, who introduced herself as Lily.

"How'd you sleep?" she asked the two newcomers.

Slannon shrugged, tugging at his shirt. "Not too bad, though I'm a bit surprised that there was a full dresser in my room. I assume it's some kind of magic that makes it all fit?"

"Yeah, it's where the tags would be on normal clothes. We think the Tower provides them - any clothes we toss in the hamper are cleaned and put away the next day, just like... well, like magic." Laz was working at the stove, scrambling some eggs. "Same with the food - the Tower always has a supply of fresh food, though it's not always what you planned on eating. I was hoping for some bacon today, for instance." He nudged away a meat bar that Tome had offered. "No thanks, I can tell from the wrapper that one's chicken."

Watching Laz cook was an interesting affair. He clearly wasn't accustomed to cooking much, and the situation was made slightly more problematic by the fact that none of the appliances were standard Earth ones. Instead of burners, the stove had things that could only be described as magic circles etched into the top, and Laz controlled them by touching the non-hot portions and focusing. At last, he managed to produce a suitable breakfast for the five.

As they dug in, Slannon and Mira did their best to resist asking questions. After the magic display the previous night, they had reluctantly gone to bed after being promised that they would learn more the next day, including getting caught up on the research attempts at going home.

"Tome and I are the ones who have been doing most of the research here." Lily informed them. "It's strange, sometimes we'll be looking at different books, and a sound will just pop into my head while I'm trying to read them or look for patterns. That's how we ended up with the few spells we do know."

"I don't get those sounds," continued Tome, "but I remember everything I've seen. It doesn't help much when you don't actually understand what you're reading, but if you wrote down some Unua I'd be able to tell you if I'd seen it before, and probably even what book it's in."

"We think that different people have different talents, like the color of their mana." Lily noticed their puzzled looks. "Oh come on, it's a common name for it in fiction on Earth. Mana? The energy that makes up magic?" She waved her fingers and a turquoise shimmer formed in the air around them. "You know, this."

"Quit showing off." Laz was grinning as he said it. "I'm hoping that Rasp's expedition is successful, I really want to find something to help us decode that library."

"Well you're in luck, bro, because I come bearing gifts!" A new voice from the doorway startled everyone. Laz leaped to his feet, rushing to hug the newcomer.

"Everyone, this is Rasp - my little brother Rasputin." The family resemblance was obvious. The brothers had the same fair hair and lanky build, though Rasp seemed to be a little more toned than his elder sibling. While Laz's eyes were a deep green, much like his mana, Rasp's were blue - and locked on to Slannon's.

"I didn't expect any newcomers! Welcome to our little community. I hope you like research!" He smiled as he said it, moving to shake Slannon's, and then Mira's, hands. He turned back to Laz. "I put the new stuff in circle room four on my way down here."

In response to Slannon's increasingly familiar look of confusion, Laz explained. "I told you he was out and about, getting new things. We found the location of two new storefronts that might have something to help us. The circle rooms are the ones on the fifth floor - magic circle outlines etched in the ground, we think for group spells. You can add any stuff from your store to the pile, we can take a look at them. Who knows, you might have new spell coins that we can learn from!"

Mira stood, holding her now empty plate. "What should we do with these?"

Laz took a deep breath, then held out his hands. "`krav`." One by one, the plates rose from the table, settling into a neat pile in the nearby sink. "I haven't quite mastered it without saying the words yet, but that's one of the basic spells. Sort of like a general-purpose 'move things' spell."

"Sounds like you've been practicing for a while. How long have all of you been here?" Slannon was surprised by how calm the Tower residents were. They had been ripped from their lives, brought to this new world where everything worked differently.

"Two months. So if you have any major world news since then, that would be nice to hear."

"Well, California is on fire, the Red Sox won the world series... Really, I can't think of anything out of the ordinary, at least in my part of the world." Slannon shrugged. "Sorry."

"That's fine, I guess. You ready to start training?"

---

Slannon and Mira stood side by side in the training room basement, while Laz leaned against a wall behind them. "Try again, focus on the feeling of the spell."

"`pah`." Slannon felt the energy leave him, striking the target. A clean gash appeared across the center, persisting for a few moments before slowly knitting itself back together. He focused on the sensation he had felt, holding his palm upright.

The sensation started up again as he envisioned the blue light - the mana - in the palm of his hand. Slowly, the deep blue light began to emanate from his hand, starting as a dull glow and gently rising into a sphere of light. He blinked, surprised, and the light abruptly cut out. "Did you see that? I almost had it!"

Mira was focusing on her own exercise. The two had spent the better part of the last hour first practicing their mana bolts, then practicing channeling raw mana itself.

"Everything in magic is made of mana", Laz had explained. "Once you can summon and shape it, you can do things like power magic circles." As a demonstration, he had produced a green bar of light that the two could hold.